package com.patzn.lims.sys.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.patzn.lims.sys.dto.UserTableColumnDTO;
import com.patzn.lims.sys.entity.SysTableColumn;
import com.patzn.lims.sys.vo.SysTableColumnVO;
import com.patzn.lims.core.web.IBaseService;

import java.util.List;

/**
 * <p>
 * 系统表格字段表 服务类
 * </p>
 *
 * @author hubin
 * @since 2018-10-31
 */
public interface ISysTableColumnService extends IBaseService<SysTableColumn> {


    Page<SysTableColumnVO> page(Page<SysTableColumnVO> page, SysTableColumn sysTableColumn);


    List<SysTableColumn> list(SysTableColumn sysTableColumn);


    List<Object> listIds(UserTableColumnDTO dto);


    List<String> listCodes(Long companyId, String tableName);
}
